arrangers: []
catalog: TASR-0001
categories:
- Game
category: Game
classification: Arrangement, Vocal
composers:
- link: artist/61799
  names:
    en: Laser Imouto
- link: artist/43353
  names:
    en: JAKAZiD
- names:
    en: Polyvoxx
- link: artist/9142
  names:
    en: Melancholia
- link: artist/11524
  names:
    en: LOLIPO
- link: artist/48483
  names:
    en: ikaruga_nex
- link: artist/53527
  names:
    en: DJGEN
- names:
    en: Chryzis
- link: artist/48589
  names:
    en: T2Kazuya
- link: artist/60822
  names:
    en: 4nzu
- link: artist/54597
  names:
    en: Dustvoxx
- names:
    en: Stormtrooper
- names:
    en: Cathy B.
- link: artist/55377
  names:
    en: The Speed Freak
covers:
- full: https://media.vgm.io/albums/35/125553/125553-b5dd91bf6c47.png
  medium: https://media.vgm.io/albums/35/125553/125553-b5dd91bf6c47.png
  name: Front
  thumb: https://media.vgm.io/albums/35/125553/125553-b5dd91bf6c47.png
discs:
- disc_length: Unknown
  name: ''
  tracks:
  - names:
      English: Memories of Green
      English (Alternate): Omoide 1000AD
      Japanese: みどりの思い出
    track_length: Unknown
  - names:
      English: Schala's Theme
      English (Alternate): When the Heavens Fall
      Japanese: サラのテーマ
    track_length: Unknown
  - names:
      English: Singing Mountain
      English (Alternate): I Won't Forget You
      Japanese: 歌う山
    track_length: Unknown
  - names:
      English: Wind Scene
      English (Alternate): kw
      Japanese: 風の憧憬
    track_length: Unknown
  - names:
      English: Corridors of Time
      English (Alternate): Corridors of Time
      Japanese: 時の回廊
    track_length: Unknown
  - names:
      English: Delightful Spekkio
      English (Alternate): Dream Away
      Japanese: 愉快なスペッキオ
    track_length: Unknown
  - names:
      English: At the Bottom of Night
      English (Alternate): Can You Hear Me
      Japanese: 夜の底にて
    track_length: Unknown
  - names:
      English: Secret of the Forest
      English (Alternate): Secret of the Forest
      Japanese: 樹海の神秘
    track_length: Unknown
- disc_length: Unknown
  name: Disc 2
  tracks:
  - names:
      English: Main Theme
      English (Alternate): STORIES
      Japanese: クロノ・トリガー
    track_length: Unknown
  - names:
      English: World Revolution
      English (Alternate): Genesis 12,000
      Japanese: 世界変革の時
    track_length: Unknown
  - names:
      English: To Far Away Times
      English (Alternate): Preventing the End
      Japanese: 遥かなる時の彼方へ
    track_length: Unknown
  - names:
      English: Frog's Theme
      English (Alternate): A Knight's Destiny
      Japanese: カエルのテーマ
    track_length: Unknown
  - names:
      English: Peaceful Days
      English (Alternate): Memories of Home
      Japanese: やすらぎの日々
    track_length: Unknown
  - names:
      English: Robo's Theme
      English (Alternate): Robo 2X2X
      Japanese: ロボのテーマ
    track_length: Unknown
  - names:
      English: Epilogue ~ To Good Friends
      English (Alternate): Miracle on Death Peak
      Japanese: エピローグ ～親しき仲間へ～
    track_length: Unknown
link: album/125553
lyricists: []
media_format: 2 Vinyl (12" 33&frac13; rpm)
meta:
  added_date: 2022-12-29T11:57
  edited_date: 2022-12-29T11:57
  fetched_date: 2026-06-06T07:13
  ttl: 86400
  visitors: 1093
name: Dreamseeker
names:
  en: Dreamseeker
  ja: Dreamseeker
  ja-latn: Dreamseeker
notes: 'Clear vinyl. Includes a UV-printed slipmat.

  Music by:

  Laser Imouto (1.1)

  JAKAZiD (1.2)

  Polyvox + Melancholia (1.3)

  LOLIPO (1.4)

  ikaruga_nex (1.5)

  DJGEN (1.6)

  Chryzis (1.7)

  T2Kazuya (1.8, 2.6)

  4nzu (2.1)

  Dustvoxx (2.2)

  Stormtrooper & Cathy B. (2.3)

  Polyvoxx (2.4)

  The Speed Freak (2.5)

  Melancholia (2.7)

  Feat.:

  Julia Henderson (1.2)

  Anca (1.3, 2.7)

  Kuroa* (1.5)

  YURIPPE (1.6)

  Laura Brinks (1.7)

  Original Composer – Yasunori Mitsuda

  Project [Design & Direction] – Melancholia

  Artwork [Cover, Spread] – Frank Attmannspacher

  Mastered By – Jon Doe / CLSM Mastering'
organizations:
- &id001
  link: org/4102
  names:
    en: TAS Records
    ja: TAS Records
    ja-latn: TAS Records
  role: publisher
performers: []
picture_full: https://media.vgm.io/albums/35/125553/125553-b5dd91bf6c47.png
picture_small: https://medium-media.vgm.io/albums/35/125553/125553-b5dd91bf6c47.png
picture_thumb: https://thumb-media.vgm.io/albums/35/125553/125553-b5dd91bf6c47.png
platforms:
- SNES (Super Famicom)
products:
- link: product/194
  names:
    en: Chrono Trigger
    ja: クロノ・トリガー
    ja-latn: Chrono Trigger
publish_format: Commercial
publisher: *id001
related:
- catalog: PSCN-5021~3
  link: album/18
  names:
    en: CHRONO TRIGGER ORIGINAL SOUND VERSION
    ja: クロノ・トリガー・オリジナル・サウンド・ヴァー...
    ja-latn: CHRONO TRIGGER ORIGINAL SOUND VERSION
  type: game
- catalog: PSCN-5024
  link: album/298
  names:
    en: 'Chrono Trigger Arranged Version: The Brink of Time'
    ja: クロノ・トリガー アレンジ・ヴァージョン ザ・ブ...
    ja-latn: 'Chrono Trigger Arranged Version: The Brink of Time'
  type: game
- catalog: SSCX-10039
  link: album/81
  names:
    en: Chrono Trigger Original Soundtrack
    ja: クロノ・トリガー オリジナル・サウンドトラック
    ja-latn: Chrono Trigger Original Soundtrack
  type: game
- catalog: TPCD 0209-2
  link: album/2799
  names:
    en: 'CHRONO TRIGGER Official Soundtrack: Music from ...'
    ja: 'CHRONO TRIGGER Official Soundtrack: Music from ...'
    ja-latn: 'CHRONO TRIGGER Official Soundtrack: Music from ...'
  type: game
- catalog: tbtmo26
  link: album/19191
  names:
    en: 'Vibon 2: Blip-pop Click'
    ja: 'Vibon 2: Blip-pop Click'
    ja-latn: 'Vibon 2: Blip-pop Click'
  type: doujin
- catalog: KTBH-0002
  link: album/6944
  names:
    en: Le Cercueil Du Reve
    ja: LE CERCUEIL DU REVE ~ Chrono Trigger Arrange CD
    ja-latn: Le Cercueil Du Reve
  type: doujin
- catalog: N/A
  link: album/5258
  names:
    en: Chrono Distortion
    ja: Chrono Distortion
    ja-latn: Chrono Distortion
  type: doujin
- catalog: TPCD-0020
  link: album/3022
  names:
    en: CHRONO CORRIDOR
    ja: CHRONO CORRIDOR
    ja-latn: CHRONO CORRIDOR
  type: doujin
- catalog: N/A
  link: album/5747
  names:
    en: 'The Chrono Trigger Mixtape, Vol. #1'
    ja: 'The Chrono Trigger Mixtape, Vol. #1'
    ja-latn: 'The Chrono Trigger Mixtape, Vol. #1'
  type: doujin
- catalog: AECD-0001
  link: album/6813
  names:
    en: ART - Chrono Trigger Arrange Album
    ja: ART - Chrono Trigger Arrange Album
    ja-latn: ART - Chrono Trigger Arrange Album
  type: doujin
release_date: 2023-01
release_events: []
release_price:
  currency: CAD
  price: 84.99
reprints: []
stores:
- link: http://tasrecords.bandcamp.com/album/dreamseeker-chrono-trigger-hardcore-techno-arrange
  name: Bandcamp
- link: http://blackscreenrecords.com/collections/dreamseeker/products/dreamseeker
  name: Black Screen Records
- link: http://www.tasrecords.com/product/tasr-0001/
  name: TAS Records
- link: http://www.veryokvinyl.com/products/dreamseeker-chrono-trigger-hardcore
  name: Very Ok Vinyl
vgmdb_link: https://vgmdb.net/album/125553?perpage=99999
vocals:
- link: artist/18782
  names:
    en: Julia Henderson
- names:
    en: Anca
- link: artist/52155
  names:
    en: Kuroa*
- names:
    en: YURIPPE
- names:
    en: Laura Brinks
votes: 0
